glab(1)

NAME
glab-schedule-run - Trigger a pipeline schedule to run immediately.

SYNOPSIS
glab schedule run [flags]

DESCRIPTION
Trigger a CI/CD pipeline schedule, identified by its numeric ID, to run immediately. The schedule's normal recurrence is not affected; this is a one-time, on-demand run in addition to the configured cron.

By default, the schedule is run in the current project. Use --repo to target another project.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # Run the schedule with ID 1 immediately
    glab schedule run 1
    # Run a schedule in another project
    glab schedule run 1 -R owner/repo

SEE ALSO
glab-schedule(1)